/****************************************************************************
*   dae_app_types.h - part of a DAE system.
*   Copyright (C) 2004 J.H.L.Davis  jdavis@thirdsection.org.uk
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
****************************************************************************/

#ifndef __DAE_DEFINE_APP_TYPES_
#define __DAE_DEFINE_APP_TYPES_
#define CORE 'A'
#define REC 'B'
#define VREC 'C'
#define TRAN 'D'
#define AMIXER 'E'
#define MMIXER 'F'
#define VMIXER 'G'
#define AROUTER 'H'
#define VROUTER 'I'
#define MROUTER 'J'
#define GMIXER 'K'
#define GARR 'L'
#define GTRAN 'M'
#define GMET 'N'
// O to W now undefined

#define SONG 'S'

#define IPL 'X'
#define IPC 'Y'
#define CON 'Z'
#endif
