#ifndef __DAE_DEFINE_APP_MSGS_B_
#define __DAE_DEFINE_APP_MSGS_B_

// Defines - B values
#define B_TRK            1  // [direct:1] //??? TRK. this is defined again below! and also in ../includes/dae_song_client.h (now renamed)
#define REC2AR           2  // [direct:1]
#define REC2MR           3  // [direct:1]
#define RUNPAR           4  // [direct:1]
#define MISC             1  // [direct:1]

// Defines - C values
#define MON_MODE         1  // [int1:1]
#define REC_MODE         2  // [int1:1]
#define MUTE             3  // [int1:1]
#define ARM              4  // [int1:1]
#define LOCK             5  // [int1:1]
//#define CHAN             6  // [int1:1]
#define NUM_IN_PORTS     1  // [int1:1]
#define NUM_OUT_PORTS    2  // [int1:1]
#define PB_DIRECTION     1  // [int1:1]
#define AUDIOFOLDER      2  // [string:256]
#define SPEED            3  // [int1:1]
#define TC_TYPE          4  // [int1:1]
#define BPM              5  // [double:8]
#define TIME_SIG         6  // [int1:1]
#define AUD_MON          1  // [int1:1]
#define AUTO_TEST        2  //
#define GEN_TONE         3  // [int4:4]
#define AUDITION         4  // [string:256]
#define STOP_AUD         5  //
#define RELEASEFILE      6  // [string:256]
#define OPENFILE         7  // [string:256]
#define REOPENFILE       8  // [string:256]
#endif

namespace DAE {
void     dae_msg_set_obj  (unsigned ival1, int* frag, short int* off, unsigned char* msg);
int      dae_msg_add_part (unsigned trans_id, int* frag, short int* off, char *_data);
int      dae_msg_del_part (unsigned trans_id, int pod_idx);
int      dae_msg_add_track(unsigned int _trans_id, int *frag, short int *off, char *_data);
int      dae_msg_del_track(unsigned trans_id, int pod_idx);
int      dae_msg_add_file (unsigned trans_id, int *frag, short int *off, char *_data);
int      dae_msg_del_file (unsigned trans_id, int pod_idx);
void     dae_msg_set_output(unsigned _trans_id, int* frag, short int* off, unsigned char* msg);
}
